datablock ParticleData(EgonRifle_TrailParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.0;
	inheritedVelFactor   = 1.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 250;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[2]     = "1.0 1.0 1.0 1.0";  // White
	colors[1]     = "0.5 0.0 1.0 1.0";  // Purpleish
	colors[0]     = "0.0 1.0 1.0 1.0";  // Light Blue
	sizes[0]      = 0.56;
	sizes[1]      = 0.24;
	sizes[2]	  = 0.02;
	times[0]      = 0.0;
	times[1]	  = 0.8;
	times[2]      = 1.0;

	useInvAlpha = false;
	
	//uiname = "MG_trail_pt";
};
datablock ParticleEmitterData(EgonRifle_TrailEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 9;
   ejectionVelocity = 2.0;
   velocityVariance = 1.9;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "EgonRifle_TrailParticle";
   uiname = "Gluon Gun Trail";
};